org.springframework.data.relational.core.mapping.event

## Interface WithId<E>

All Superinterfaces:
  RelationalEvent<E>

All Known Implementing Classes:
  AfterDeleteEvent, BeforeDeleteEvent, RelationalDeleteEvent

    public interface WithId<E>
    extends RelationalEvent<E>

Interface for `RelationalEvent`s which have an `Identifier` but might not have an entity.

Author:
  Jens Schauder

### Method Summary

All Methods Instance Methods Abstract Methods
`Identifier` `getId()` Events with an identifier will always return a `Identifier` one.

### Methods inherited from interface org.springframework.data.relational.core.mapping.event.RelationalEvent

`getEntity, getType`

### Method Detail

#### getId

    Identifier getId()

Events with an identifier will always return a `Identifier` one.